import { BuildContext, TreeShakeCalcResults } from '../util/interfaces';
export declare function calculateUnusedComponents(dependencyMap: Map<string, Set<string>>): TreeShakeCalcResults;
export declare function calculateUnusedComponentsImpl(dependencyMap: Map<string, Set<string>>, importee: string): any;
export declare function getAppModuleNgFactoryPath(): string;
export declare function isIonicComponentOrAppSource(modulePath: string): boolean;
export declare function isNgFactory(modulePath: string): boolean;
export declare function purgeUnusedExportsFromIndexFile(filePath: string, fileContent: string, modulePathsToPurge: string[]): string;
export declare function purgeUnusedImportsAndExportsFromModuleFile(moduleFilePath: string, moduleFileContent: string, modulePathsToPurge: string[]): string;
export declare function purgeComponentNgFactoryImportAndUsage(appModuleNgFactoryPath: string, appModuleNgFactoryContent: string, componentFactoryPath: string): string;
export declare function purgeProviderControllerImportAndUsage(moduleNgFactoryPath: string, moduleNgFactoryContent: string, providerPath: string): string;
export declare function purgeProviderClassNameFromIonicModuleForRoot(moduleFileContent: string, providerClassName: string): string;
export declare function generateWildCardImportRegex(relativeImportPath: string): RegExp;
export declare function generateRemoveComponentFromConstructorRegex(namedImport: string): RegExp;
export declare function generateRemoveGetterFromImportRegex(namedImport: string, propertyName: string): RegExp;
export declare function generateRemoveIfStatementRegex(namedImport: string): RegExp;
export declare function generateIonicModulePurgeProviderRegex(className: string): RegExp;
export declare function getIonicModuleFilePath(): string;
export declare function checkIfProviderIsUsedInSrc(context: BuildContext, dependencyMap: Map<string, Set<string>>): Map<string, Set<string>>;
